---
updatedAt: 2026-05-21T16:41:24.000Z
---

# Lists the API Clients

Gets a list of the configured API clients. Note: The response contains the API client ID but does not contain the client secret.<br><br>Entitlements required: manageAPIClients (Manage API clients) or readAPIClients (Read API clients)

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "version": "1.0.0",
    "description": "General configuration",
    "title": "General configuration"
  },
  "servers": [
    {
      "url": "https://{tenanturl}",
      "variables": {
        "tenanturl": {
          "default": "{tenant_url}",
          "description": "URL of your IBM Security Verify tenant"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "API Clients"
    }
  ],
  "paths": {
    "/v1.0/apiclients": {
      "get": {
        "tags": [
          "API Clients"
        ],
        "summary": "Lists the API Clients",
        "description": "Gets a list of the configured API clients. Note: The response contains the API client ID but does not contain the client secret.<br><br>Entitlements required: manageAPIClients (Manage API clients) or readAPIClients (Read API clients)",
        "operationId": "getAPIClients",
        "parameters": [
          {
            "name": "pagination",
            "in": "query",
            "description": "The prefix for the paging parameter is \"pagination=\". If no pagination parameters are passed in, all results are returned. The maximum allowed value for limit or count is 1000. <br><b>count</b> is the total number of results to be returned from the data store.<br><b>page</b> is which page we are requesting, or the offset. <br><b>limit</b> is the total number of results to return in one page.<br><br>The pagination parameter value <b>must</b> be HTML encoded.<br>Note: This is not required when using the Swagger UI.<br><br><b>Example:</b> Paginate on count=10&page=1&limit=5<br>pagination=count%3D10%26page%3D1%26limit%3D5",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sort",
            "in": "query",
            "description": "The prefix for the sort parameter is \"sort=\". Each attribute must be prefixed with either + or - (+ ascending, - descending). Multiple attributes must be separated by a comma (,).<br><br>The valid fields for sorting are: clientId, clientName, and enabled.<br><br>The sort parameter value <b>must</b> be HTML encoded.<br>Note: This is not required when using the Swagger UI.<br><br><b>Example:</b> Sort on -enabled,+clientId<br>sort=-enabled%2C%2BclientId",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "search",
            "in": "query",
            "description": "The prefix for all search operations is \"search=\".<br>Valid operators for strings are = , !=  and contains <br>Valid operators for booleans are = and !=<br>Valid operators for numbers are >=, >, &lt=, &lt, = and !=<br>String search values must be double quoted, numbers and booleans must not.<br><br>The valid fields for sorting are: clientId, clientName, and enabled.<br><br>The search parameter value <b>must</b> be HTML encoded.<br>Note: This is not required when using the Swagger UI.<br><br><b>Example:</b> Search on clientId contains \"ABCDEF\"&enabled=true<br>search=clientId%20contains%20%22ABCDEF%22%26enabled%3Dtrue",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "filter",
            "in": "query",
            "description": "The prefix for the filter parameter is \"filter=\"<br>Valid formats are either inclusive only or exclusive only. These must not be intermingled. Multiple filter parameters must be separated by a comma (,).<br><br>The valid fields for filtering are: id, clientId, clientName, clientSecret, entitlements, and enabled.<br><br>The filter parameter value <b>must</b> be HTML encoded.<br>Note: This is not required when using the Swagger UI.<br><br><b>Examples</b><br>Filter to only return clientId:<br>filter=clientId<br><br>Filter to exclude clientSecret and enabled:<br>filter=%21clientSecret,enabled",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The operation was successful.",
            "content": {}
          },
          "400": {
            "description": "The query parameters contained invalid values.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse_1"
                }
              }
            }
          },
          "403": {
            "description": "The access token does not allow access to the requested resource.",
            "content": {}
          },
          "500": {
            "description": "Internal server error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse_1"
                }
              }
            }
          }
        },
        "x-category": "General configuration",
        "x-publicAPI": "true"
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorResponse_1": {
        "type": "object",
        "properties": {
          "messageId": {
            "type": "string",
            "description": "The message key identifier.",
            "example": "CSIAB3702E"
          },
          "messageDescription": {
            "type": "string",
            "description": "Requester locale specific descriptive message.",
            "example": "The retrieval of the resource failed."
          }
        },
        "xml": {
          "name": "error"
        }
      }
    }
  },
  "x-original-swagger-version": "2.0",
  "x-explorer-enabled": false
}
```